Bug 212479 - ip.sh causes /sbin/ip to produce warnings
ip.sh causes /sbin/ip to produce warnings
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-26 17:50 EDT by Lon Hohberger
Modified: 2012-10-30 06:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0580
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:45:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2006-10-26 17:50:31 EDT
Description of problem:

ip.sh causes /sbin/ip to produce warnings when used to take away an IP address
without an explicit netmask; this is due to a change in the way the iproute2
utilities expect / parse parameters.




Version-Release number of selected component (if applicable): 2.0.15


How reproducible: 100%


Steps to Reproduce:

With a service which has one IP with a non-explicit netmask:

1. Disable service
2. start service using rg_test
3. stop service using rg_tst
  
Actual results:
[root@war ~]# rg_test test /etc/cluster/cluster.conf stop service dependsonbasic
Running in test mode.
Stopping dependsonbasic...
<debug>  192.168.79.24 is not configured
Stop of dependsonbasic complete
[root@war ~]# rg_test test /etc/cluster/cluster.conf start service dependsonbasic
Running in test mode.

Starting dependsonbasic...
<debug>  Link for eth1: Detected
<info>   Adding IPv4 address 192.168.79.24 to eth1
<debug>  Sending gratuitous ARP: 192.168.79.24 00:11:85:e6:cc:bb brd
ff:ff:ff:ff:ff:ff
rdisc: no process killed
Start of dependsonbasic complete
[root@war ~]# rg_test test /etc/cluster/cluster.conf stop service dependsonbasic
Running in test mode.
Stopping dependsonbasic...
<info>   Removing IPv4 address 192.168.79.24 from eth1
Warning: Executing wildcard deletion to stay compatible with old scripts.
         Explicitly specify the prefix length (192.168.79.24/32) to avoid this
warning.
         This special behaviour is likely to disappear in further releases,
         fix your scripts!
rdisc: no process killed
Stop of dependsonbasic complete
Comment 1 RHEL Product and Program Management 2006-10-26 17:59:17 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Kiersten (Kerri) Anderson 2007-04-23 13:23:51 EDT
Fixing Product Name.  Cluster Suite was integrated into the Enterprise Linux for
version 5.0.
Comment 6 Marek Grac 2007-06-04 07:02:34 EDT
Commited in CVS (missing info parsed from /bin/sh)
Comment 8 Lon Hohberger 2007-06-29 13:09:57 EDT
Testing:

As in original submission.  On the 5.1 packages, the expected behavior is that
the following -not- be displayed during service test-stop:

Warning: Executing wildcard deletion to stay compatible with old scripts.
         Explicitly specify the prefix length (192.168.79.24/32) to avoid this
warning.
         This special behaviour is likely to disappear in further releases,
         fix your scripts!
Comment 10 errata-xmlrpc 2007-11-07 11:45:22 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0580.html

Note You need to log in before you can comment on or make changes to this bug.